#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define srcname perlkde
%define with_kdepimlibs 1

%define subrel 1
%define rel 1

Name:perl-kde4
Summary: Kde4 bindings for perl language
Version: 4.10.5
Release: %mkrel %{rel}
Epoch: 1
Group: Graphical desktop/KDE
License: GPLv2
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%srcname-%version.tar.xz

BuildRequires: perl-qt4-devel >= 1:%version
BuildRequires: smokekde-devel >= 1:%version
BuildRequires: perl-devel
BuildRequires: pkgconfig(shared-desktop-ontologies)
%if %with_kdepimlibs
BuildRequires: kdepimlibs4-devel >= 2:%version
BuildRequires: pkgconfig(akonadi)
%endif
Requires: perl-qt4 >= 1:%version
%description
A kde4 bindings for perl language.

%files
%_kde_libdir/kde4/kperlpluginfactory.so
%if %with_kdepimlibs
%perl_sitearch/Akonadi.pm
%perl_sitearch/auto/Akonadi
%endif
%perl_sitearch/Attica.pm
%perl_sitearch/KDECore4.pm
%perl_sitearch/KDEUi4.pm
%perl_sitearch/KFile.pm
%perl_sitearch/KHTML.pm
%perl_sitearch/KIO4.pm
%perl_sitearch/KNewStuff2.pm
%perl_sitearch/KNewStuff3.pm
%perl_sitearch/KParts.pm
%perl_sitearch/KTextEditor.pm
%perl_sitearch/KUtils.pm
%perl_sitearch/Kate.pm
%perl_sitearch/Nepomuk.pm
%perl_sitearch/NepomukQuery.pm
%perl_sitearch/Okular.pm
%perl_sitearch/Plasma4.pm
%perl_sitearch/Solid.pm
%perl_sitearch/Soprano.pm
%perl_sitearch/SopranoClient.pm
%perl_sitearch/SopranoServer.pm
%perl_sitearch/auto/Attica
%perl_sitearch/auto/KDECore4
%perl_sitearch/auto/KDEUi4
%perl_sitearch/auto/KFile
%perl_sitearch/auto/KHTML
%perl_sitearch/auto/KIO4
%perl_sitearch/auto/KNewStuff2
%perl_sitearch/auto/KNewStuff3
%perl_sitearch/auto/KParts
%perl_sitearch/auto/KTextEditor
%perl_sitearch/auto/KUtils
%perl_sitearch/auto/Kate
%perl_sitearch/auto/Nepomuk
%perl_sitearch/auto/NepomukQuery
%perl_sitearch/auto/Okular
%perl_sitearch/auto/Plasma4
%perl_sitearch/auto/Solid
%perl_sitearch/auto/Soprano
%perl_sitearch/auto/SopranoClient
%perl_sitearch/auto/SopranoServer

#------------------------------------------------------------

%prep
%setup -q -n %srcname-%version
%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build



%changelog
* Sat Jul 06 2013 mikala <mikala> 1:4.10.5-1.1.mga3
+ Revision: 450701
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407298
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401950
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394461
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sun Jan 13 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 375449
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339572
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334623
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326824
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320342
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Add missing buildRequires

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316217
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 1:4.9.2-1.mga3
+ Revision: 301968
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289772
- Update tarball to KDE SC 4.9.1
- Fix BuildRequires

* Wed Aug 01 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 277064
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269721
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 1:4.8.95-1.mga3
+ Revision: 265498
- new version 4.8.95
- bump req

* Fri Jun 08 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 257257
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga3
+ Revision: 228489
- new version 4.8.2

* Fri Mar 09 2012 fwang <fwang> 1:4.8.1-1.mga2
+ Revision: 221899
- new version 4.8.1

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198318
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-1.mga2
+ Revision: 191036
- Update tarball to KDE SC 4.7.97

* Fri Dec 23 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 186453
- Update tarball to KDE 4.7.95

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182209
- Update tarball to KDE SC 4.7.90
- Fix BuildRequires
- use gold as linker & build with -DKDE4_ENABLE_FINAL=ON

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176566
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-0.mga2
+ Revision: 161423
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151989
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140679
- Update tarball to KDE SC 4.7.1
- Remove %%defattr()
- Remove %%clean section
- Fix License tag
- Add gdbm-devel as BuildRequires
- Update tarball to KDE SC 4.7.0

* Tue Jul 12 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122639
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Fri Jul 08 2011 mikala <mikala> 1:4.6.90-1.mga2
+ Revision: 120248
- Remove dot in summary
  Relaxe Requires
- imported package perl-kde4

